GLM_EXT_matrix_uint2x3_sized
Stable extensions

## Typedefs

typedef mat< 2, 3, uint16, defaultp > | u16mat2x3
| 16 bit unsigned integer 2x3 matrix. More...
typedef mat< 2, 3, uint32, defaultp > | u32mat2x3
| 32 bit unsigned integer 2x3 matrix. More...
typedef mat< 2, 3, uint64, defaultp > | u64mat2x3
| 64 bit unsigned integer 2x3 matrix. More...
typedef mat< 2, 3, uint8, defaultp > | u8mat2x3
| 8 bit unsigned integer 2x3 matrix. More...

## Detailed Description

Include <glm/ext/matrix_uint2x3_sized.hpp> to use the features of this extension.

Defines a number of matrices with integer types.

## Typedef Documentation

## u16mat2x3

typedef mat< 2, 3, uint16, defaultp > u16mat2x3

16 bit unsigned integer 2x3 matrix.

See also
  GLM_EXT_matrix_uint2x3_sized

Definition at line 36 of file matrix_uint2x3_sized.hpp.

## u32mat2x3

typedef mat< 2, 3, uint32, defaultp > u32mat2x3

32 bit unsigned integer 2x3 matrix.

See also
  GLM_EXT_matrix_uint2x3_sized

Definition at line 41 of file matrix_uint2x3_sized.hpp.

## u64mat2x3

typedef mat< 2, 3, uint64, defaultp > u64mat2x3

64 bit unsigned integer 2x3 matrix.

See also
  GLM_EXT_matrix_uint2x3_sized

Definition at line 46 of file matrix_uint2x3_sized.hpp.

## u8mat2x3

typedef mat< 2, 3, uint8, defaultp > u8mat2x3

8 bit unsigned integer 2x3 matrix.

See also
  GLM_EXT_matrix_uint2x3_sized

Definition at line 31 of file matrix_uint2x3_sized.hpp.